#
# Makefile for DOS
#

MODEL = /AL
CFLAGS = $(MODEL) 
LFLAGS = /stack:6400/noe/map:full

OBJS =  alloc.obj \
	main.obj \
	cmdline.obj \
	edit.obj \
	enveval.obj \
	fileio.obj \
	help.obj \
	hexchars.obj \
	linefunc.obj \
	mark.obj \
	misccmds.obj \
	normal.obj \
	ops.obj \
	param.obj \
	ptrfunc.obj \
	regexp.obj \
	regsub.obj \
	screen.obj \
	search.obj \
	sentence.obj \
	tagcmd.obj \
	undo.obj \
	termcap.obj \
	termin.obj \
	general.obj \
	locfuncs.obj

all: vi.exe

alloc.obj : alloc.c pvic.h locdefs.h
	cl -c $(CFLAGS) alloc.c

cmdline.obj : cmdline.c pvic.h locdefs.h
	cl -c $(CFLAGS) cmdline.c

edit.obj : edit.c pvic.h locdefs.h
	cl -c $(CFLAGS) edit.c

enveval.obj : enveval.c pvic.h locdefs.h
	cl -c $(CFLAGS) enveval.c

fileio.obj : fileio.c pvic.h locdefs.h
	cl -c $(CFLAGS) fileio.c

help.obj : help.c pvic.h locdefs.h
	cl -c $(CFLAGS) help.c

hexchars.obj : hexchars.c pvic.h locdefs.h
	cl -c $(CFLAGS) hexchars.c

linefunc.obj : linefunc.c pvic.h locdefs.h
	cl -c $(CFLAGS) linefunc.c

main.obj:       main.c pvic.h locdefs.h
	cl -c $(CFLAGS) main.c

mark.obj : mark.c pvic.h locdefs.h
	cl -c $(CFLAGS) mark.c

misccmds.obj : misccmds.c pvic.h locdefs.h
	cl -c $(CFLAGS) misccmds.c

normal.obj : normal.c pvic.h locdefs.h
	cl -c $(CFLAGS) normal.c

ops.obj : ops.c pvic.h locdefs.h
	cl -c $(CFLAGS) ops.c

param.obj : param.c pvic.h locdefs.h
	cl -c $(CFLAGS) param.c

ptrfunc.obj : ptrfunc.c pvic.h locdefs.h
	cl -c $(CFLAGS) ptrfunc.c

regexp.obj : regexp.c pvic.h locdefs.h
	cl -c $(CFLAGS) regexp.c

regsub.obj : regsub.c pvic.h locdefs.h
	cl -c $(CFLAGS) regsub.c

screen.obj : screen.c pvic.h locdefs.h
	cl -c $(CFLAGS) screen.c

search.obj : search.c pvic.h locdefs.h
	cl -c $(CFLAGS) search.c

sentence.obj : sentence.c pvic.h locdefs.h
	cl -c $(CFLAGS) sentence.c

tagcmd.obj : tagcmd.c pvic.h locdefs.h
	cl -c $(CFLAGS) tagcmd.c

undo.obj : undo.c pvic.h locdefs.h
	cl -c $(CFLAGS) undo.c

termcap.obj : termcap.c pvic.h locdefs.h
	cl -c $(CFLAGS) termcap.c

termin.obj : termin.c pvic.h locdefs.h
	cl -c $(CFLAGS) termin.c

general.obj : general.c pvic.h locdefs.h
	cl -c $(CFLAGS) general.c

locfuncs.obj : locfuncs.c pvic.h locdefs.h
	cl -c $(CFLAGS) locfuncs.c

vi.exe : $(OBJS)
	link $(LFLAGS) @pvic.lnk
